
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-vlevel
Summary:		Vlevel LADSPA plugin
Version:		0.5
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			vlevel-%{version}.tar.bz2
URL:			http://vlevel.sourceforge.net
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
VLevel is a tool to amplify the soft parts of music so you don't
have to fiddle with the volume control. It looks ahead a few
seconds, so it can change the volume gradually without ever
clipping.  Because the volume is changed gradually, 'dynamic
contrast' is preserved.



%prep
%setup -q -n vlevel-%{version}
%__rm ladspa.h
ln -s /usr/include/ladspa.h .

%build
%__make \
	CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%__install -dm 755 %{buildroot}%{_bindir}
%__install -c -m 755 vlevel-bin \
	%{buildroot}%{_bindir}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README TODO
%doc docs/*
%doc utils/*
%{_bindir}/*
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.5-0.pm.1
- splitt-off from ladspa package
